com.genesyslab.wfm8.API.service.schedule851

## Class SchAssignment

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule851.SchAssignment

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAssignment
      extends java.lang.Object
      implements java.io.Serializable

  Profile schedule assignment to the actual agent
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `private static long` | `serialVersionUID`
    `protected int` | `wmProfileAgentId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAssignment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getWmProfileAgentId()` Gets the value of the wmProfileAgentId property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmProfileAgentId(int value)` Sets the value of the wmProfileAgentId property.
    `java.lang.String` | `toString()`
    `SchAssignment` | `withGswAgentId(int value)`
    `SchAssignment` | `withWmProfileAgentId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmProfileAgentId

          protected int wmProfileAgentId

    - #### gswAgentId

          protected int gswAgentId

  - ### Constructor Detail

    - #### SchAssignment

          public SchAssignment()

  - ### Method Detail

    - #### getWmProfileAgentId

          public int getWmProfileAgentId()

      Gets the value of the wmProfileAgentId property.

    - #### setWmProfileAgentId

          public void setWmProfileAgentId(int value)

      Sets the value of the wmProfileAgentId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### withWmProfileAgentId

          public SchAssignment withWmProfileAgentId(int value)

    - #### withGswAgentId

          public SchAssignment withGswAgentId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.